<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN"
"http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">
<title>Moja strona WWW</title>
</head>
<body>
<div>
<?php
/*Skrypt pochodzi z książki "PHP. 101 praktycznych skryptów"
  autor: Marcin Lis                    http://marcinlis.com*/

function getData($id)
{
  $link = mysql_connect("localhost", "test", "test");
  $flag = mysql_select_db("test");
  if(!$link || !$flag){
    //echo("Problem z połączeniem z bazą danych.");
    return false;
  }
  $query = "SELECT * FROM OSOBA WHERE ID = ".$id;
  $result = mysql_query($query);
  if (!$result){
    //echo("Problem z bazą danych. Odrzucone zapytanie.".$query);
    mysql_close($link);
    return false;
  }
  if(!$row = mysql_fetch_row($result)){
    mysql_close($link);
    return false;
  }
  $res = $row[1]."<br />";
  $res .= $row[2]."<br />";
  $res .= $row[3]."<br />";
  $res .= $row[4]."<br />";
  $res .= $row[5]."<br />";
  $res .= $row[6]."<br />";
  $res .= $row[7]."<br />";
  $res .= $row[8]."<br />";
  mysql_close($link);
  return $res;
}

if(isSet($_COOKIE["id"]))
  $id = $_COOKIE["id"];
else
  $id = "";

if($id <> ""){
  if(($str = getData($id)) !== false){
    echo ("<h2>Zostałeś rozpoznany jako: </h2>");
    echo ($str);
  }
  else{
    echo "Błąd systemu. Skontaktuj się z administratorem.";
  }
}
else{
  include("form.html");
}
?>
</div>
</body>
</html>
